Bug 736139 - TeX Live pdflatex produces Type 3 fonts for math and bullets
Summary: TeX Live pdflatex produces Type 3 fonts for math and bullets
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 19:20 UTC by W. Michael Petullo
Modified: 2013-07-02 23:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:35:42 UTC


Attachments (Terms of Use)
File that illustrates behavior described in report (471 bytes, application/octet-stream)
2011-09-06 19:20 UTC, W. Michael Petullo
no flags Details

Description W. Michael Petullo 2011-09-06 19:20:54 UTC
Created attachment 521749 [details]
File that illustrates behavior described in report

Description of problem:
I have a LaTeX document that should produce a PDF with only Type 1 fonts. The document uses the pslatex package. However, portions of the document produce Type 3 fonts; bullets and commas in math mode subscripts are rendered using Type 3 fonts.

Version-Release number of selected component (if applicable):
texlive-2011-1.20110825.fc15.x86_64.rpm

How reproducible:
Every time

Steps to Reproduce:
1. Build the attached example using pdflatex
2. Run pdffonts on the result
  
Actual results:

name                                 type              emb sub uni object ID
------------------------------------ ----------------- --- --- --- ---------
[none]                               Type 3            yes no  no       4  0
CYBSVD+NimbusRomNo9L-Regu            Type 1            yes yes no       5  0
WAJAGU+NimbusRomNo9L-ReguItal        Type 1            yes yes no       6  0
[none]                               Type 3            yes no  no       7  0

Expected results:
I would expect to see only Type 1 fonts

Additional info:
Adding the following to /var/lib/texmf/fonts/map/pdftex/updmap/pdftex.map fixes the subscript commas but not the bullets:

aicmmi10 CMMI10 "AITeXMathItalicEncoding ReEncodeFont" <aicmmi.enc <cmmi10.pfb
cmmi10 CMMI10 <cmmi10.pfb
cmmi10o CMMI10 ".167 SlantFont" <cmmi10.pfb

Comment 1 W. Michael Petullo 2011-09-06 21:17:11 UTC
Installing TeX Live by hand using install-tl-20110906 results in:

name                                 type              emb sub uni object ID
------------------------------------ ----------------- --- --- --- ---------
GFAWRG+CMSY10                        Type 1            yes yes no       4  0
WAJAGU+NimbusRomNo9L-ReguItal        Type 1            yes yes no       5  0
APBXHK+CMMI10                        Type 1            yes yes no       6  0
JWOGWQ+NimbusRomNo9L-Regu            Type 1            yes yes no       7  00

Comment 2 Fedora End Of Life 2012-08-07 16:35:44 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 W. Michael Petullo 2012-08-07 19:48:42 UTC
Seems fixed in Fedora 17 + texlive-2012-1.20120726_r27166.fc17.x86_64 anyway:
 
name                                 type              emb sub uni object ID
------------------------------------ ----------------- --- --- --- ---------
GIFDRN+NimbusSanL-Bold               Type 1            yes yes no      83  0
EJENWC+NimbusSanL-Regu               Type 1            yes yes no      84  0
MEGPRQ+NimbusRomNo9L-Medi            Type 1            yes yes no      87  0
UGGMTF+NimbusRomNo9L-Regu            Type 1            yes yes no      88  0
BTTCLI+NimbusRomNo9L-ReguItal        Type 1            yes yes no      91  0
GFAWRG+CMSY10                        Type 1            yes yes no     118  0
KLAGQW+NimbusMonL-Regu-Extend_850    Type 1            yes yes no     120  0
APBXHK+CMMI10                        Type 1            yes yes no     148  0


Note You need to log in before you can comment on or make changes to this bug.